ispell (3.4.00-5) unstable; urgency=medium

  * Add 0035-Force-text-grep-in-munchlist.patch to pass the `-a' flag to grep
    invocations not to fail on national characters (closes: #816572, #815160).
  * Add 0036-Reproducible-hashes.patch to hopefully make builds of hashes
    reproducible (closes: #778862).
  * debian/rules: Enable all hardening flags.
  * debian/control:
    + use https for Vcs-Browser field;
    + bump Standards-Version to 3.9.7.

 -- Robert Luberda <robert@debian.org>  Fri, 04 Mar 2016 08:34:01 +0100

ispell (3.4.00-4) unstable; urgency=medium

  * Update 0031-Initialize-table.patch to fix another issue with uninitialized
    memory causing unreproducible builds of ispell hashes (closes: #795606).
  * Add 0034-Fix-munchlist-failure.patch not to fail munchlist when there are
    no roots with multiple cross-product flags (closes: #794152).
  * Introduce lintian override for bogus `hardening-no-fortify-functions
    usr/bin/ijoin'.

 -- Robert Luberda <robert@debian.org>  Mon, 26 Oct 2015 00:27:36 +0100

ispell (3.4.00-3) unstable; urgency=medium

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sat, 20 Jun 2015 11:15:32 +0200

ispell (3.4.00-2) experimental; urgency=medium

  * Add preinst script for dictionaries packages to remove files
    from /var/lib/ispell created by earlier versions to limit the
    chances of `directory not empty' dpkg warnings (see #781068),
    and create the directory in postinst scripts instead.
  * Drop the previous postinst code introduced in 3.3.06-2 to migrate
    ibritish and iamerican documentation dirs into symlinks.
  * Simplify debian/rules a bit, and add support for cross-compiling.
  * Fix DEP5 headers in debian/copyright.

 -- Robert Luberda <robert@debian.org>  Wed, 08 Apr 2015 21:44:39 +0200

ispell (3.4.00-1) experimental; urgency=medium

  * New upstream version.
  * Remove no longer needed patches:
    005-Do-not-reorder-words, 0012-Fix-getline, 0017-Destdir-support,
    0019-Section-of-english-manpage, 0025-Languages.
  * Remove most of 0007-Use-termios.patch, as ispell supports termios
    by its own.
  * Update 0001-Configuration.patch to use -ltinfo instead of -lncurses,
    and 0015-CFLAFS-from-environment & 0018-Dont-strip-binaries to make
    the changes in defrmatters/Makefile.
  * Update debian/localMakefile.languages.inc for new version and pass
    `-n' to gzip to make builds reproducible.
  * english(5) man page has been removed by upstream, remove references
    to it from debian/ directory.
  * Add 0031-Initialize-table.patch which initializes buildhash tables to
    zero to make .hash files reproducible (closes: #778862).
  * Add 0032-Check-munchlist-errors.patch to break munchlist as soon as
    an error occurs (closes: #301205).
  * New 0033-Fix-NULL-pointer-dereference.patch to fix ispell crash occurring
    on hash tables built without prior call to munchlist (closes: #561089).
  * Switch to debhelper v9.
  * Drop debian/TODO.Debian - its items were copied from Debian BTS, some
    of them have been resolved already.
  * debian/rules: handle CPPFLAGS environment variable and enable LFS
    support (lintian).
  * debian/control:
    + fix a typo in british-small description (closes: #745297);
    + update dependencies on dictionaries-common-dev, wordlist packages,
      and use ${ispell:Depends} instead of hard-coded dependencies on
      ispell and dictionaries-common;
    + bump Standards-Version to 3.9.6.

 -- Robert Luberda <robert@debian.org>  Sat, 21 Mar 2015 11:05:08 +0100

ispell (3.3.02-6) unstable; urgency=low

  * debian/control:
    + mark ispell package as `Multi-Arch: foreign' (closes: #695102);
    + update VCS fields.

 -- Robert Luberda <robert@debian.org>  Mon, 10 Dec 2012 22:56:16 +0100

ispell (3.3.02-5) unstable; urgency=low

  * Fix a typo in ibritish-huge description (closes: #630240).
  * Replace `The package also recommends' with `The package also suggests' in
    packages' descriptions (closes: #630243).
  * Standards-Version: 3.9.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 15 Jun 2011 07:58:21 +0200

ispell (3.3.02-4) unstable; urgency=low

  * Upload to unstable.
  * Add a debian/NEWS file for the recent changes.
  * gen_debhelper_files.pl: remove the ` - medium' part from iamerican and
    ibritish debconf prompts (closes: #619651).
  * debian/control:
    + make sure ienglish-common recommends' include both iamerican* and
      ibritish* packages (closes: #619922);
    + fix a typo in iamerican-huge description (closes: #619924);
    + bump (build-)dependencies on dictionaries-common(-dev) to >= 1.10.6~ to
      have #619620 fixed;
    + add VCS fields;
    + make dictionary packages to depend on ispell and dictionaries-common-dev
      to have their versions included in  reportbug(1) generated reports.

 -- Robert Luberda <robert@debian.org>  Tue, 29 Mar 2011 20:18:06 +0200

ispell (3.3.02-3) experimental; urgency=low

  * debian/rules: add a work-around for autobuilders not obeying Policy
    (see #619284). If not all build-dependencies are installed, then
    postpone building arch-independent stuff until binary(-indep) target
    is called.

  * 0029-Generate-hex-in-fix8bit.patch: Make `fix8bit -7' to generate
    hexadecimal sequences instead of octal ones.
  * 0030-Display-whole-multibyte-character.patch: Display all bytes from
    multi-byte characters instead of converting them into `cat -v' format.

 -- Robert Luberda <robert@debian.org>  Wed, 23 Mar 2011 08:17:00 +0100

ispell (3.3.02-2) experimental; urgency=low

  * Provide small, large, huge and insane version of American and British
    ispell dictionaries (closes: #261611), that include words from the
    appropriate word list packages. The new {ibritish,iamerican}-{small,large,
    huge,insane} packages were added together with ienglish-common, the base
    one.

    With the new dictionaries (especially with the large or huge ones),
    ispell is able to accept more American or British words:

    + words accepted by `ispell -d british':
      neighbour (closes: #282934);

    + words accepted by `ispell -d british-large':
      Cambridgeshire, Hertfordshire and other counties (closes: #151470);

    + words accepted by `ispell -d american':
      Oedipus (closes: #442089);          Wiki (closes: #417097);
      bidirectional (closes: #440211);    decompiler (closes: #404870);
      glitz (closes: #434709);            looseness (closes: #464162);
      misestimate (closes: #354301);      one's (closes: #586600);
      online (closes: #405125);           public's (closes: #415049);
      spottily (closes: #307235);         submitters (closes: #440052);
      talkies (closes: #294262);          timestamp (closes: #402781);
      unencrypted (closes: #389899);      uninterruptible (closes: #366895);
      faceted, facetted (closes: #417096);
      wildcards, wildcards (closes: #394271);
      analyses, analyzes, analysis (closes: #602055);

    + words accepted by `ispell -d american-large':
      Los Angeles (closes: #431913);     Singaporean (closes: #440132);
      backgrounder (closes: #380568);    basketful (closes: #325252);
      cadastral (closes: #309000);       carful (closes: #417166);
      colorization (closes: #307410);    congresspeople (closes: #448389);
      cowbells (closes: #356744);        cutover (closes: #454338);
      dumplings (closes: #317483);       examinee (closes: #305077);
      fetchers (closes: #447912);        gappy (closes: #349100);
      godawful (closes: #392444);        halftone (closes: #305585);
      hammerers (closes: #458591);       hotline (closes: #312268);
      hunky (closes: #471116);           infract (closes: #451732);
      jackfruit (closes: #413711);       jittering (closes: #413763);
      kindergartener (closes: #324212);  lakefront (closes: #314366);
      landmine (closes: #456445);        milkshakes (closes: #464942);
      mindset (closes: #312944);         mislabeled (closes: #451730);
      motorless (closes: #386566);       mugshot (closes: #437441);
      nutcase (closes: #443527);         oldfangled (closes: #393833);
      polycarbonate (closes: #336963);   reacquiring (closes: #466488);
      reconfirm (closes: #447820);       reprogrammable (closes: #368142);
      retitle (closes: #372674);         screenful (closes: #348825);
      searchable (closes: #426620);      seatbelt (closes: #326974);
      seeable (closes: #382219);         serration (closes: #434009);
      signage (closes: #395975);         smorgasbord (closes: #442023);
      sordine (closes: #356743);         stakeholder (closes: #471914);
      standalone (closes: #341646);      stearate (closes: #366894);
      subaudible (closes: #398934);      switchover (closes: #348787);
      syllabary (closes: #307430);       tinnitus (closes: #438916);
      torturous (closes: #356741);       triangulating (closes: #333619);
      uncompetitive (closes: #451429);   unconverted (closes: #316153);
      unpresentable (closes: #313268);   untethered (closes: #470199);
      wack (closes: #293231);
      ISP, boonies, ft(feet), remodelers (closes: 292789);
      biramous, uniramous (closes: #433207);
      breathalyser, Breathalyzer, breathings (closes: #303911);
      builtin, built-in (closes: #415614);
      demonization, demonized, demonize (closes: #367561);
      electable, unelectable (closes: #282569);
      fearer, fearers, fear (closes: #404869);
      gawkers, transgender (closes: #454068);
      heartbreaker, heartbreaker's, heartburning's (closes: #302446);
      ideologue, ideologues (closes: #270734);
      lossless, gainless (closes: #392443);
      marginalization, marginalize, marginate (closes: #284684);
      misconfiguration, misconfigure (closes: #358549);
      mortifications, messianic, thuggish (closes: #416305);
      nitty, gritty (closes: #273409);
      redacting, redacted, redaction's (closes: #311539);
      subcategories, subcategory (closes: #438434);
      systemically, systematical (closes: #359022);
      designee, detainees, impermissibility, huh, unclarity (closes: #405475);

    + words accepted by `ispell -d american-huge':
      Freemasonic (closes: #356740);     canistel (closes: #354758);
      citizenships (closes: #437759);    commenters (closes: #445118);
      expirable (closes: #312264);       formularies (closes: #362022);
      juried (closes: #451004);          mishmosh (closes: #360834);
      multiline (closes: #394272);       overnighting (closes: #307849);
      spellcheck (closes: #409287);      telecom (closes: #368387);
      uncheck (closes: #364825);         wishlist (closes: #305758);
      Folate, Folacin, Folic Acid (closes: #324211);
      cardioid, ignorable, unignorable (closes: #295464);
      checkmark, checkmarked (closes: #471123);
      fundraiser, fundraise, fundraising (closes: #314862);
      maneuver, maneuverability, maneuverer's, manoeuvrings (closes: #336962);
      misconnection, misconnect (closes: #436951);
      sectionize, sectionizing, sectionalizing (closes: #323696);
      subversions, unapologetic, detainees (closes: #434219);
      unglue, ungluing (closes: #440930);

    + words accepted by `ispell -d american-insane':
      conformant (closes: #460184);      enmass (closes: #260178);
      recompensated (closes: #450727);   unmowed (closes: #443754);
      obfuscator, obfuscater, obfuscate (closes: #404520);

  * Added debian/local/Makefile.languages.inc:
    + prepare backgrounds for using ispell-autobuildhash in ibritish and
      iamerican packages and providing several variants of the packages
      by installing compressed munchlist word lists and skipping builds
      of hashes;
    + two special Debian-specific values are added into the LANGUAGES
      variable,  EXTRADICT is overridden per each target which allows us
      to use word list appropriate to the target;
    + pass -T utf8 to munchlist to avoid the `illegal characters' warnings.

  * 0027-Include-Debian-Makefile.languages.inc.patch: new patch that
    includes debian/local/Makefile.languages.inc file from languages/
    {american,british,english}/Makefile.
  * 0028-Fix-hardening-warnings.patch: fix warnings given by gcc with the
    hardening options turned on.
  * 0001-Configuration.patch: updated to build all available dictionaries.
  * Use ispell-autobuildhash for all the British and American dictionary
    packages to make them architecture independent.

  * Update various debhelper files for multi-dictionaries support:
    + add debian/packages.d directory and make the debhelper files
      automatically generated at build time.
    + debian/control:
      - switch architecture of  ibritish/iamerican packages to all;
      - add all wamerican-*/wbritish-* packages into Build-Depends-Indep;
      - (build-)depend on dictionaries-common (>= 1.10.4~);
      - make all our dictionary packages depend on ienglish-common, which
        in turn depends on appropriate versions of dictionaries-common and
        ispell.
    + debian/rules:
      - build the insane versions of dictionaries;
      - split builds for architecture-dependent and independent packages.

  * Write a simple man page for defmt-sh and defmt-c deformatters.
  * Re-add README.source documenting that debhelper files are generated.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Mar 2011 09:26:32 +0100

ispell (3.3.02-1) experimental; urgency=low

  * New upstream version (closes: #217393):
    + texinfo file is gone (closes: #528874);
    + the ispell's `-x' option is correctly documented (closes: #189188);
    + munchlist no longer ignores `-w' option (closes: #5379);
    + `ispell -p' doesn't require $HOME to be set anymore (closes: #354014);
    + ispell can be suspended with Ctrl-Z now (closes: #100925), however it
      still needs Ctrl-L after resuming to redraw the screen;
    + more asmlatex constructs are recognised and ignored (closes: #8585);
    + HTML entities are supported at least in English dicts (closes: #69186);
    + the new `-k' option allows ispell to ignore arbitrary TeX commands or HTML
      elements (closes: #343415);
    + unsafe type casts warnings got fixed (closes: #13820).

  * Merge patches for new upstream version:
    + 0002-ISO-more.patch removed as it seems to be applied upstream (except
      for HTSPECIAL part that hasn't be used since ver. 3.1.20-17);
    + 0004-mktemp-security.patch seems to be applied upstream, removed;
    + 0014-Fix-texinfo.patch removed as upstream no longer provides texinfo
      file;
    + 0001-Conglomeration.patch: update local.h.linux instead of local.h.samp.
    + 0006-Fix-gets-regression replaced with 0006-Fix-sq-and-unsq from OpenSUSE;
    + 0007-Use-termios.patch updated based on the similar patch from OpenSUSE;
    + refresh remaining patches.

  * Added patches:
    + 0017-DESTDIR-support.patch: Add support for $(DESTDIR) to Makefile;
    + 0018-Dont-strip-binaries.patch: Fix Makefile not to strip binaries
      (closes: #437235)
    + 0019-Section-of-english-5.patch: Fix section of the english(5) man page;
    + 0020-Mark-Rcs_Id-as-unused.patch: Fix Rcs_Id unused warnings;
    + 0021-Fix-gcc-warnings.patch: Fix other gcc warnings;
    + 0026-POSIX-sort.patch: Force POSIX sort options (closes: #204899).

  * Split 0001-Conglomeration.patch into the following patches:
    + 0001-Configuration.patch: Debian ispell configuration;
    + 0022-Ispell-man-page.patch: Fix example in ispell man page;
    + 0023-Exclusive-options.patch: Make options -x and -b mutually exclusive;
    + 0024-Check-tempdir-creation.patch: Fail if temporary directory cannot i
      be created;
    + 0025-Languages.patch: Fix English dictionaries.
    + move sq man page changes into 0006-Fix-sq-and-unsq.patch;
    + move ijoin.c changes into 0011-Missing-prototypes.patch.

  * debian/rules:
    + use DESTDIR and upstream install target for installing the package;
    + update other debhelper files for the above change;
    + don't overwrite ispell.1 generated by upstream Makefile by a script that
      does not support all of the `!!' variables (closes: #324226).

  * debian/control:
    + add wamerican as an default recommendation for wordlist (closes: #595749);
    + break circular dependency by moving iamerican | ispell-dictionary to
      Recommends from Depends (closes: #529069);
    + add versioned `Breaks' for all packages providing ispell-dictionary that
      are not architecture `all';
    + remove dependencies on `debconf | debconf-2.0' as they should be
      automatically re-added by debhelper.

  * 0001-Configuration.patch: use higher, upstream-provided values for
    MAXAFFIXLEN and MAXSTRINGCHARS (closes: #176926).
  * Remove update-ispell-dictionary script and its man page. The script has been
    marked as obsolete for more than 10 years.
  * debian/copyright: updated for new upstream version.
  * debian/ispell.doc-base, debian/ispell.info: removed, neither HTML nor info
    documentation is no longer provided by upstream.
  * debian/watch: update the download URL.
  * Really remove the debian/README.source file.

 -- Robert Luberda <robert@debian.org>  Sat, 12 Mar 2011 19:45:12 +0100

ispell (3.1.20.0-9) unstable; urgency=low

  * Change patches descriptions and names to be compatible with gbp-pq:
    + rename 01-conglomeration.patch     to  0001-Conglomeration.patch;
    + rename 02-iso-more-html.patch      to  0002-ISO-more.patch;
    + rename 03-lookup-hurd.patch        to  0003-Fix-FTBFS-on-Hurd.patch;
    + rename 04-mktemp-security.patch    to  0004-mktemp-security.patch;
    + rename 05-reorder-word.patch       to  0005-Do-not-reorder-words.patch;
    + rename 06-sq-unsq.patch            to  0006-Fix-gets-regression.patch;
    + rename 07-termios.patch            to  0007-Use-termios.patch;
    + rename 08-tex-backslash.patch      to  0008-Tex-backslash.patch;
    + rename 09-usg-glibc.patch          to  0009-Fix-FTBFS-on-glibc.patch;
    + rename 10-dctrl.patch              to  0010-Debian-control-file.patch;
    + rename 11-missing-prototypes.patch to  0011-Missing-prototypes.patch;
    + rename 12-fix_getline.patch        to  0012-Fix-getline.patch;
    + rename 13-fix_manpages.patch       to  0013-Fix-man-pages.patch;
    + rename 14-fix_info.patch           to  0014-Fix-texinfo.patch;
    + rename 15_cflags_from_env.patch    to  0015-CFLAGS-from-environment.patch.
  * Refresh the patches with gbp-pq import/export.
  * debian/rules: remove --parallel from options passed to dh_auto_*, added
    by mistake in previous upload. This should fix FTBFS on some archs.

 -- Robert Luberda <robert@debian.org>  Sat, 05 Mar 2011 20:30:28 +0100

ispell (3.1.20.0-8) unstable; urgency=low

  * Adopt package (closes: #543878).
  * Switch to the `3.0 (quilt)' source format:
    + drop build dependency on quilt;
    + refresh patches to update diff offsets;
    + drop debian/README.source;
    + modified the 01_conglomeration.patch to patch local.h.samp, because
      local.h is removed in debian/rules.

  * 15_cflags_from_env.patch: new patch to set value of CFLAGS from environment
    instead of being hardcoded in local.h.
  * 01_conglomeration.patch: remove patches that create new files:
    + move the man pages links created by .so requests to debian/ispell.links;
    + move addons/strix.py to debian/addons/strix.py, the file doesn't seem
      to be used however.

  * debian/rules: call dpkg-buildflags for initial value of CFLAGS and LDFLAGS.
  * debian/control:
    + Standards-Version: 3.9.1 (no changes);
    + remove articles from short descriptions (lintian);
    + sort dependency fields with wrap-and-sort from the ubuntu-dev-tools
      package.
  * Bump debhelper compat level to 8.

 -- Robert Luberda <robert@debian.org>  Sat, 05 Mar 2011 16:34:20 +0100

ispell (3.1.20.0-7) unstable; urgency=low

  * QA upload.
  * debian/patches/:
    - 12-fix_getline.patch added, thanks to Stefan Potyra
      (Closes: #549401)
    - 13-fix_manpages.patch added
    - 14-fix_info.patch added, contains fixes split from
      01-conglomeration.patch
  * debian/watch added
  * debian/control:
    - debhelper Build-Dependency bumped to >= 7.0.50~
  * debian/README.source: added info about quilt

 -- David Paleino <dapal@debian.org>  Mon, 09 Nov 2009 10:22:12 +0100

ispell (3.1.20.0-6) unstable; urgency=low

  * Updating to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:27:57 +0200

ispell (3.1.20.0-5) unstable; urgency=medium

  * New maintainer (Closes: #487732).
  * Revert direct upstream modifications.
  * Using quilt rather than homebrew patch management.
  * Using correct rfc-2822 date formats in changelog.
  * Removing useless whitespaces at EOL and EOF.
  * Updating package to debhelper 7.
  * Updating package to standards version 3.8.2.
  * Cleaning up build-depends.
  * Adding homepage field in control.
  * Adding vcs fields in control.
  * Cleaning up depends.
  * Rewrapping package long-descriptions.
  * Unifying all copyright files into one and rewriting it in machine-
    interpretable format.
  * Moving local debian additions to dedicated subdirectory.
  * Using dedicated debhelper manpages file to install manpages.
  * Symlinking manpage alias rather than including a redirecting stub.
  * Updating debhelper links files.
  * Updating doc-base file.
  * Updating docs file.
  * Using dedicated debhelper install files to install files.
  * Minimizing rules file.
  * Not calling update-alternatives with absolute path in update-ispell-
    dictionary (Closes: #510946).
  * Downgrading package to priority optional (Closes: #416572).
  * Downgrading dictionaries recommends to suggests (Closes: #456537).
  * Removing todo entry about new debhelper.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Aug 2009 16:34:42 +0200

ispell (3.1.20.0-4.5) unstable; urgency=low

  * Non-maintainer upload for FTBFS RC bug.
  * Build Depend on coreutils instead of textutils (Closes: #521533).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 05 May 2009 12:09:08 +0200

ispell (3.1.20.0-4.4) unstable; urgency=medium

  * Non-maintainer upload for release critical bugs, policy issues and doc
    typos, during BSP.
  * Fix doc-base entry that caused postinst to fail when doc-base is installed
    (Closes: #364535, #366100, #384157, #384173, #386846, #401639, #409132).
  * Add debconf-2.0 alternate to debconf depends (Closes: #415689).
  * Fix typo in manpages (Closes: #274435, #274437, #326525) and description
    (Closes: #334420).
  * Do not depend on essential package sed (policy).
  * Fix parse errors in changelog.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 17 May 2007 21:11:38 +0200

ispell (3.1.20.0-4.3) unstable; urgency=low

  * NMU with the permission of the maintainer.
  * Apply a patch from upstream so words in a personal dictionary don't
    get reordered. (Closes: #305750).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 09 Mar 2006 14:51:10 +0000

ispell (3.1.20.0-4.2) unstable; urgency=high

  * Non-Maintainer Upload.
  * Fix the behaviour of munchlist, which was modified/broken with the
    previous patch. This version still uses the new "sort -k" syntax but
    reverts to the munchlist behaviour of 3.1.20.0-4 (Closes: #352360).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 11 Feb 2006 16:29:05 +0100

ispell (3.1.20.0-4.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Give -k to sort instead of + and -, fixes FTBFS. Patch from Matt Kraai.
    (Closes: #339414)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 19 Jan 2006 00:33:17 +0100

ispell (3.1.20.0-4) unstable; urgency=low

  * debian/control: changed wordlist name in the ibritish description
    from 'british' to 'wbritish'; thanks to ippei1@bb.mbn.or.jp
    for noticing and reporting the mistake.
    Closes: #200166: ibritish: Typo in the package description.
  * debian/control: depend [and build-depend] on newer
    dictionaries-common[-dev] (>=0.20).
    Closes: #232142 "Please update your ... package(s) to new .config system"
  * debian/control; bump standards-version; no changes required.
  * debian/control: add missing debconf dependencies.

 -- David Coe <davidc@debian.org>  Mon, 16 Feb 2004 03:08:13 -0500

ispell (3.1.20.0-3) unstable; urgency=low

  * ispell now Depends on an ispell-dictionary rather than just
    Recommending it; see this bug report for my reasoning:
    #197852: ispell-dictionaries don't purge cleanly
  * the iamerican and ibritish dictionary packages now Recommend
    rather than Suggest wamerican and wbritish wordlists,
    respectively, because most users need them (ispell's
    (L)ookup command requires a word list).
  * Revised the descriptions in light of the above changes.
  * thanks to Agustin Martin Domingo <agmartin@debian.org> for
    testing and enabling ispell-autobuildhash (part of
    dictionaries-common):
    -- Added debian/ispell.postinst to test ispell-autobuildhash
       existence and run it if present.
    Closes: #41741: consider update-ispell-hash
  * thanks also to Agustin Martin Domingo for chasing down a
    debhelper bug (or misdocumented feature) and filing a separate
    bug report about that, and for testing the workaround:
    -- dh_clean --package=package will clean all *.debhelper snippets
       even if they do not belong to the selected package. Hacking
       around this (Commenting all dh_clean --package= lines)
    Closes: #199859: debhelper snippets get uninstalled during build
  * as a temporary solution to the -x problem, I've corrected the
    man page -- I will revisit this bug report in relation to
    ispell 3.2, so I'm leaving it open:
    #189188: Effect of -x flag differs from what is documented
  * changes in scowl 5-2 (and hence the word lists merged into the
    ispell american and british dictionaries) have added many common
    variant spellings, including "judgement".
    Closes: #146341: add "judgement"; knows only about "judgment"
  * chopsticks (and variants) are in the ispell iamerican and ibritish
    dictionaries since version 3.1.20.0-2, and in the wbritish,
    wamerican, and wcanadian word lists since version 5-1.  If you
    still have this problem with those (or later) versions, please
    re-open the bug report and provide version details.  Thanks.
    Closes: #199706: iamerican/ibritish: (no "chopsticks")

 -- David Coe <davidc@debian.org>  Thu, 03 Jul 2003 23:58:18 -0400

ispell (3.1.20.0-2) unstable; urgency=low

  * Standards version update to 3.5.10:
    - compile with -g regardless of DEB_BUILD_OPTIONS 'debug'
    - add support for DEB_BUILD_OPTIONS 'noopt'
  * We no longer build the wbritish package here; that's
    now done (much better) by the scowl source package.
  * The dictionaries depend  on dictionaries-common, no longer need to
    pre-depend.
  * Removed most of our patches from config.X and put them in local.h
    where they belong.
  * Correct a syntax error in parse.y and adjust Build-Depends; thanks
    to Daniel Schepler <schepler@math.berkeley.edu>
    Closes: #168412: ispell: Build-Depends still not right
  * The ibritish and iamerican dictionaries now include the words from
    the SCOWL-derived wbritish and wamerican packages.
    Closes: #69068: ibritish: Isn't 'energise' a word?
    Closes: #134128: iamerican: doesn't know how to spell "nefarious"
    Closes: #151234: ibritish is missing towards, forwards, etc
    Closes: #165142: iamerican: please add "animus", "conflate", "opine", "politicize"
    Note: "conflate" is only int the "large" ispell dictionaries and in the "large"
    wamerican/wbritish word lists -- I presume it's there for good reason (infrequently
    used?).  If you feel strongly it belongs in the regular dictionaries, please
    reopen this bug report and I'll consult with upstream and consider moving it.
    I also have meant for a while to package the large ispell dictionaries
    (I have already packaged the large English wordlists) -- I *will* get
    to that one of these years.
  * Provide a better example for use of the -d parameter
    Closes: #192400: ispell: Manpage not up to date
  * Accept NMUs from the dictionaries-common transition; thanks again, Agustin.
    Closes: #102607: hash files should be 128 character pers string
    Closes: #123641: ispell: ispell does not use debconf
    Closes: #164239: Please update your iamerican package to IDWP new policy
    Closes: #164248: Please update your ibritish package to IDWP new policy
  * Removed all the control file and rules file weridness created to get us
    through the dictionaries-common transition; life is so much simpler now.
  * Debhelper compat 4 allowed me to simplify some more weird stuff
    in rules, particularly regarding the man pages (thanks, Joey).

 -- David Coe <davidc@debian.org>  Tue, 17 Jun 2003 19:46:59 -0400

ispell (3.1.20.0-1.6) unstable; urgency=low

  * Non-Maintainer Upload
  * This is really (3.1.20.0-1.5), but with the change below done
    where it should have been done, in debian/control.top.
    - Changed bison build dependency to 'byacc | bison (<= 1:1.35-3)'.
      Otherwise sbuild fails loading bison 1.75 in any case and breaking
      buid later because of unsatisfied dependencies.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 23 Oct 2002 10:50:33 +0200

ispell (3.1.20.0-1.4) unstable; urgency=low

  * Non-Maintainer Upload
  * Changed bison build dependency to 'bison (<= 1:1.35-3) | byacc' and
    changed yacc call in local.h from 'byacc -y' to 'yacc'. This
    should fix the problems derived from the new bison that is making
    ispell compilation break.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Oct 2002 12:17:40 +0200

ispell (3.1.20.0-1.3) unstable; urgency=low

  * Non-Maintainer Upload
  * Also missed here to add dictionaries-common-dev to the Build-Depends
    line. Added now. Also removed words-american-english from
    debian/control.top

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Oct 2002 13:55:26 +0200

ispell (3.1.20.0-1.2) unstable; urgency=low

  * Non-Maintainer Upload
  * New policy compliant package uploaded to Debian for the first time
    (closes: #164239, #164248, #164257):
    - Using hash files 128 character pers string (closes: #102607)
    - Using debconf (closes: #123641)

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 18 Oct 2002 16:43:22 +0200

ispell (3.1.20.0-1.1) unstable; urgency=low

  * This is really experimental new policy 3.1.20-30.3 version with
    changes in 3.1.20.0-1 merged from the official branch
  * debian/update-ispell-dictionary:
    Changed 'NEWERSCRIPT' name to /usr/sbin/select-default-ispell
  * debian/rules: Now will remove 'british-english' on clean target.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 22 Jul 2002 16:37:50 +0200

ispell (3.1.20.0-1) unstable; urgency=medium

  * Release manager: urgency medium because this removes non-free
    source files from main -- should go into woody if possible.
  * Removed three non-free files ("for non-profit use") from the
    upstream source.  This has no effect on the binary packages.
    Ispell dictionary maintainers note: the following files are
    gone (from source languages/):
      `dansk/dansk.7bit'
      `nederlands/nederlands.7bit'
      `portugues/portugues.aff'
    Contact me if you'd like an ispell-nonfree-src package
    (and note that you'll have to make the dictionaries you
    create using those files non-free).
    Closes: #148601: DFSG-violation in ispell/languages/nederlands
  * accepted the patch from previous NMU; thanks to Petter Reinholdtsen
    and Tollef Fog Heen.
    Closes: #143161: Fail to install dictionaries using DEBIAN_FRONTEND=noninteractive

 -- David Coe <davidc@debian.org>  Fri, 19 Jul 2002 12:59:37 -0400

ispell (3.1.20-30.3) unstable; urgency=low

  * Added experimental Locale fields to iamerican (en_us) and
    ibritish (en_gb) to test for experimental autogeneration of
    pspell region_to_spelling.map file.

  (3.1.20-30.2) Tue, 11 Jun 2002 17:25:07

  * Added a Pspell-Ispell field to iamerican.info-ispell file with contents
    'en-american iso8859-1'.
    Added a Pspell-Ispell field to ibritish.info-ispell file with contents
    'en-british iso8859-1'.
    Since we use installdeb-ispell this will autogenerate
    the appropiate pspell-ispell pwli files.

 -- Agustín Martín Domingo <agmartin@debian.org>  Fri, 21 Jun 2002 16:03:07 +0200

ispell (3.1.20-30.1) unstable; urgency=low

  * Make ispell package depend on dictionaries-common, where the
    Conflicts with old dictionaries are.

 -- Agustín Martín Domingo <agmartin@debian.org>  Thu, 28 Feb 2002 18:55:46 +0100

ispell (3.1.20-30) unstable; urgency=low

  * Bumped debian revision to 30 to leave room for more official releases.
    This is really 3.1.20-21 with debian/rules fix below.
  * debian/rules: fixed to revert patches in the opposite order
    they were applied. Otherwise html and debian description patches
    conflict when reverting.
  * Copied debian/README and debian/z50_missing_prototypes.dpatch from
    official branch 3.1.20-21 (Was in official branch: added some missing
    prototypes, thanks to a patch from Doug Porter. Closes: #130405:
    implicit declarations)
  * Added debian/maxstringchars_128.dpatch to build ispell with
    MAXSTRINGCHARS=128. This forces us to rebuild all dictionaries.

 -- Agustín Martín Domingo <agmartin@debian.org>  Thu, 28 Feb 2002 15:20:01 +0100

ispell (3.1.20-21.1) unstable; urgency=medium

  * Non-Maintainer Upload
  * update-ispell-dictionary: skip if DEBIAN_FRONTEND=noninteractive.
    (Patch is in #143161, closes: #143161)

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 20 Apr 2002 18:29:55 +0200

ispell (3.1.20-21) unstable; urgency=low

  * added some missing prototypes, thanks to a patch from
    Doug Porter.
    Closes: #130405: implicit declarations

 -- David Coe <davidc@debian.org>  Tue, 22 Jan 2002 13:08:35 -0500

ispell (3.1.20-20.1) unstable; urgency=low

  * Experimental release after the dictionaries policy proposal.
  * David, THIS BREAK OLD STYLE DICTIONARIES BUILDING, since the name for
    the new style dictionaries is also iamerican, ibritish, wbritish.
    In particular, PATCHES ARE NOT REVERTED. So, do not use this file
    for nothing but testing.
  * Removed postinst and prerm from dictionaries and wordlistpackages.
    They will be autogenerated by installdeb-ispell or installdeb-wordlist

 -- Agustín Martín Domingo <agmartin@debian.org>  Fri, 30 Nov 2001 17:24:47 +0100

ispell (3.1.20-20) unstable; urgency=medium

  * removed one more bashism (or non-ashism) from update-ispell-dictionary,
    hopefully (apparently) the last.
    Closes: #121399: ispellconfig doesn't set any default.hash link
 -- David Coe <davidc@debian.org>  Tue, 27 Nov 2001 21:22:24 -0500

ispell (3.1.20-19) unstable; urgency=medium

  * change (Build-Depends) python-base to python
    Closes: #121360: [Serious] failed to autobuild on m68k

 -- David Coe <davidc@debian.org>  Tue, 27 Nov 2001 12:25:49 -0500

ispell (3.1.20-18) unstable; urgency=low

  * Corrected the upstream english dictionary to properly pluralize
    eighth, metalsmith, myth, tenth, and youth; this was a long-unnoticed
    bug, causing (e.g.) "eighthes" to be accepted instead of "eighths."
    Thanks to Paul Martin <pm@debian.org> for noticing the problem.
    Closes: #114763: Odd words in list

 -- David Coe <davidc@debian.org>  Sun, 25 Nov 2001 22:25:36 -0500

ispell (3.1.20-17) unstable; urgency=low

  * undefined the 'HTSPECIAL' option of the html-mode patch, which causes
    ispell to make changes unrelated to spelling -- I agree that feature
    is a bug.  (If you need that behavior, compile ispell with 'HTSPECIAL'
    #defined, or (perhaps better) preprocess your html files with
    something else to do the conversions for you.)
    Closes: #113503: Converts all high-bit characters to entities on save
    in HTML mode
  * added 'artefact' to british; left 'artifact' valid for both american
    and british, per another developer's interpretation of the OED.
    Closes: #117552: Missing british spelling of "artefact"
  * added ispell-dctrl patch provided by Matt Zimmerman <mdz@debian.org>,
    which adds an option (-g) which checks only the Description: sections
    of Debian control files.
    Closes: #119782: (wishlist) Debian control file mode
  * removed posessive (...'s) words from the wbritish word list (a minor
    fix to strix.py).
  * added all I could find in the way of previous debian ispell
    changelogs, to the bottom of this changlog.
    Closes: #77234: Missing changelog entries
  * Not a bug -- these words are already handled properly by ispell,
    but are not included in the "medium" sized dictionaries which Debian
    distributes -- you'd have to create a "large" ispell dictionary if you
    want them, as described in /usr/share/doc/ispell/README.gz .
    Closes: #69068: Isn't 'energise' a word?

 -- David Coe <davidc@debian.org>  Sun, 25 Nov 2001 18:01:35 -0500

ispell (3.1.20-16) unstable; urgency=low

  * fixed a thinko in old-style dictionary .prerm scripts.
    Closes: #102440 "doesn't remove symlink /usr/doc/iamerican on purge."
  * applied a small patch from Marcus Brinkmann so it will build
    correctly for the hurd.
    Closes: #101515 "[hurd] doesn't build."
  * added documentation for each of the patches (see README.Debian).
  * a newer, improved, html-mode patch now supports ISO characters
    and more HTML entities.
  * the patches added in this release and in 3.1.20-13 seem to have resolved
    these bugs -- please reopen or resubmit if I've missed something:
    Closes: #14929: "ispell "\macro\ itself" sometimes goes wrong."
    Closes: #32726: "ispell -t doesn't handle macros like \, or \\ correctly."
    Closes: #37997: "ispell stops."
  * changed update-ispell-dictionary to use "/bin/echo -e" instead of
    the shell's builtin "echo -e", hoping to become posix-shell compliant.
    Closes: #98479: "the update-ispell-dictionnary sh script includes bash-
    specific constructs."
  * postinst will now remove any stray /usr/doc/ispell/.dhelp left
    by old versions of ispell, dhelp, doc-base, or whatever.
    Closes: #107234: "Documentation in /usr/doc."
  * Added brief text to the ispell man page about using -h (html mode) for
    XML and SGML too.
    Closes: #94120: "The manpage should say something about xml and sgml."
  * unable to reproduce (was probably an early woody X problem)
    Closes: #81424: ispell: Does not handle backspace under X
  * updated standards to policy version 3.5.6 (added support
    for DEB_BUILD_OPTIONS).
  * changed ispell priority from optional to standard, to agree with
    the Debian override file.
  * corrected the description and info index location of the ispell
    info file (thanks to a new lintian warning).
  * added a new binary package "wbritish" (british word list), built from
    the british ispell dictionary using strix.py, a user-contributed
    (GPL'd) tool by Drew Parsons <dfparsons@ucdavis.edu>; strix.py
    has been added to the ispell source "addons" directory.
    Closes: #54015 "wordlist only provided for American English, not British"

 -- David Coe <davidc@debian.org>  Tue, 04 Sep 2001 18:15:23 -0400

ispell (3.1.20-15) unstable; urgency=medium

  * patched config.X as suggested by Richard Braakman, to
  also test for __GLIBC__ when USG is defined.
  Closes: #75377 "ispell source package doesn't compile on woody"
  * lintian clean again (added dh_strip, removed dh_testversion)
  * clarified description of (current) old-style and (future) new-style
  dictionaries.
  Closes: #72111 "New-style dictionaries vs. old-style dictionaries"
  * updated TODO.Debian
 -- David Coe <davidc@debian.org>  Wed, 21 Feb 2001 17:40:17 -0500

ispell (3.1.20-14) unstable; urgency=low

  * added texi2html to Build-Depends; closes: #67345.

 -- David Coe <davidc@debian.org>  Sun, 23 Jul 2000 23:16:56 -0400

ispell (3.1.20-13) unstable; urgency=low

  * applied patch by Roland Rosenfeld to fix segfault and
    extra-CR bugs in unsq and sq.
    Closes: #60318 "sq and unsq heavyly broken"
    Closes: #65714 "unsq gives segmentation fault"
  * increased the maximum temporary backup file name length
    and maximum pathname length (to 1024 and 4096, respectively),
    to allow ispell to behave correctly with long names.
    Closes: #62214 "Ispell leave tmp file behide."
  * applied backslash-handling patch from
    http://www.kdstevens.com/%7Estevens/ispell-faq.html#bslash
    Closes: #62334 "please apply kdstevens patch for TeX parsing"
  * Compiled with libncurses5 instead of libncurses4.
    Closes: #63348 "ispell: Incorrect Dependancy"
    Closes: #64699 "Recompile with libncurses5"
  * Built american english dictionary referencing a newer word list
    Closes: #65620 "hullabaloo not in dictionary"
  * ispell(4) mentioned in ispell(1) is now (correctly) ispell(5)
    Closes: #66449 "Wrong section listed in man page"
  * previously closed but still open in bts:
    Closes: #28321, #35287

 -- David Coe <davidc@debian.org>  Sat, 15 Jul 2000 22:10:53 -0400

ispell (3.1.20-12) frozen unstable; urgency=low

  * fix postinst to let debhelper do the FHS symlink correctly;
    closes: #58342
  * add build-dependency for libncurses5-dev; closes: #58291

 -- David Coe <david.coe@someotherplace.org>  Fri, 18 Feb 2000 12:50:37 -0500

ispell (3.1.20-11) frozen unstable; urgency=medium

  * 3.1.20-10 wasn't uploaded, so this still closes: #35287, #57777
  * corrected upstream location in the upstream README file
  * updated TODO.Debian

 -- David Coe <david.coe@someotherplace.org>  Sat, 12 Feb 2000 16:52:20 -0500

ispell (3.1.20-10) frozen unstable; urgency=low

  * removed american words from british dictionary -- closes: #35287, #57777
  * improved rules in the absence of dictionaries-common

 -- David Coe <david.coe@someotherplace.org>  Sat, 12 Feb 2000 01:09:28 -0500

ispell (3.1.20-9) unstable; urgency=low

  * same as 3.1.20-8 but also with the new-style dictionaries.

 -- David Coe <david.coe@someotherplace.org>  Wed, 26 Jan 2000 17:48:43 -0500

ispell (3.1.20-8) frozen unstable; urgency=medium

  * removed two temp file race conditions (possible security holes),
    thanks to a patch by Colin Phipps <crp22@cam.ac.uk>.  Closes: Bug#56266.
  * maintainer convenience hack: changed debian/rules to avoid creating the
    new-style dictionaries when the changelog says this build is for 'frozen'.

 -- David Coe <david.coe@someotherplace.org>  Wed, 26 Jan 2000 17:06:33 -0500

ispell (3.1.20-7) unstable; urgency=low

  * corrected a mistake in the new-style dictionaries' emacsen-startup
    files.
  * marked those emacsen-startup files as conffiles, since a user might
    want to edit them.

 -- David Coe <david.coe@someotherplace.org>  Wed, 01 Dec 1999 05:25:20 +0000

ispell (3.1.20-6) unstable; urgency=low

  * this test version was not released
  * new-style dictionaries are now made iff the build system has
    dictionaries-common installed; old-style dictionaries are made
    regardless.
  * uses dictionaries-common's idict_debinst for the new-style dictionaries.
  * debian-policy upgrade 3.1.0 -> 3.1.1 (no changes required)

 -- David Coe <david.coe@someotherplace.org>  Fri, 26 Nov 1999 04:32:22 +0000

ispell (3.1.20-5) unstable; urgency=low

  * this test version was not released
  * this version introduces new-style dictionaries (idict-american-english,
    idict-british-english) which depend on dictionaries-common, q.v.; there
    are no changes to ispell itself or to the old-style (iamerican,
    ibritish) dictionaries, and the words in new-style and old-style
    dictionaries are the same.  See the ispell 3.1.20-2 changelog notes and
    dictionaries-common for more details.

 -- David Coe <david.coe@someotherplace.org>  Wed, 24 Nov 1999 06:33:53 +0000

ispell (3.1.20-4) unstable; urgency=low

  * (old-style) dictionaries still depend on ispell (closes: Bug#49959).
  * standards version 3.1.0 (added build dependencies).

 -- David Coe <david.coe@someotherplace.org>  Fri, 12 Nov 1999 23:21:15 +0000

ispell (3.1.20-3) unstable; urgency=low

  * corrected a problem in rules that caused 'binary-arch'
    and 'binary-common' targets to fail; only 'binary' succeeded.
    Closes: Bug#49487

 -- David Coe <david.coe@someotherplace.org>  Tue, 09 Nov 1999 09:19:07 +0000

ispell (3.1.20-2) unstable; urgency=low

  * applied the unofficial ispell patch from Gerry Tierney that adds an
    HTML mode (-h), which works for XML and SGML too; thanks to
    debian-users Peter Karlsson and Brian Moore for bringing that patch
    to my attention.
  * made some changes in support of dictionaries-common and new-style
    Debian dictionary packages (note that dictionaries-common and
    new-style dictionaries are still being developed and tested):
     - ispell now supports and properly manages either old-style
       (i<language>) or new-style (idict-<language>) Debian
       dictionary packages.
     - the ``update-ispell-dictionaries'' command properly invokes
       the new ``select-ispell-default'' command (part of the
       dictionaries-common package) iff dictionaries-common has
       been installed.
     - the ispell source package will only create new-style Debian
       dictionaries (idict-american-english and idict-british-english)
       if you export ``NewStyleDictionaries'' in the build environment.
       These dictionaries contain the same words as the corresponding
       old-style dictionaries.
     - regardless of the above, the old-style dictionaries (iamerican
       and ibritish) are still created and are unchanged from previous
       releases (except for the location of their documentation files).
  * removed some unnecessary files from debian ``changes'' (thanks to
    a suggestion from my sponsor, Tony Mancill).
  * added ispellconfig as a symlink to update-ispell-dictionary, for
    convenience and consistency (thanks again, Tony).
  * abandoned yada in favor of debhelper, and so:
     - moved all docs from /usr/doc to /usr/share/doc
     - added FHS compatibility doc symlinks.
     - added md5sums.
     - automatically handle emacsen, debconf, doc-base, and
       (soon-to-be) dictionaries-common stuff.
  * changed update-ispell-dictionary to just advise the user and stop,
    when it is run by non-root, so now we install it with standard
    executable permissions.
  * updated TODO.Debian; it's significantly shorter now.

 -- David Coe <david.coe@someotherplace.org>  Tue, 02 Nov 1999 07:39:38 +0000

ispell (3.1.20-1) unstable; urgency=low

  * new maintainer
  * updated to current policy (3.0.1), except for /usr/doc
  * built with yada 0.7.4 (with minor changes for policy 3.0.1)
  * changed architecture from i386 to any (with my fingers crossed)
  * improved description in update-ispell-dictionary(8)
  * ispell now also recommends wordlist (needed for ispell's L command)
  * ispell now suggests spell
  * the ispell dictionaries no longer require ispell, just suggest it
  * added more of the upstream doc files (WISHES, Contributors, ispell.texinfo)
  * added additional copyright from the texinfo file
  * added patch provided by Nikita Schmidt <cetus@snowball.ucd.ie> to use termios instead of termio; closes: #35288
  * changed documentation control from dhelp to doc-base

 -- David L. Coe <david.coe@someotherplace.org>  Wed, 18 Aug 1999 06:03:52 +0000

ispell (3.1.20-0.6) unstable; urgency=low

  * Non-maintainer upload.
  * Handle -w correctly (fixes bug #33384).
  * Built against libncurses4-dev (fixes bug #32599).

 -- Mark Brown <broonie@debian.org>  Sun, 14 Mar 1999 15:45:55 +0000

ispell (3.1.20-0.5) unstable; urgency=low

  * NMU:
  * Bug #2425 has been fixed.
  * Unnoticed fixed bugs: #3196
  * Forwarding bugs #5379,#13820, #14929, #31822 upstream.
  * Reassigning #8221 on debian-policy.
  * Close bug #11416 (This location is not valid anymore).
  * Bugs already fixed by previous uploads:
    #15024,#18369,#19795,#22754,#22755,#23455, #23723, #25046, #25052.
    #17878,#23713.
  * Write a patch to fix #19126.
  * Add dhelp support (Bug #31175).
  * Fix post{inst,rm} scripts.
  * s;/usr/dict/words;/usr/share/dict/words; in many files to fix bug #31474.
  * Refused change asked in wishlist bug #24946:
    Reason: this is why ispell allows each user to use a personal
    ~/.ispell_defaut file.
  * lintian cleaned:
    - ispell: get rid of lengthy symlinks.
    - ibritish,iamerican: made the copyright file be a real file instead
        of a symlink.
  * Guess what? the bug #9702 was in fact the same problem than #31474.
  * Orphaned the package with the permission of the last Debian
    maintainer (Kenneth MacDonald <K.MacDonald@ed.ac.uk>).

 -- Vincent Renardias <vincent@waw.com>  Tue, 26 Jan 1999 01:43:23 +0100

ispell (3.1.20-0.4) unstable; urgency=low

  * Fixed lintian errors, except copyright-file-is-symlink. (#23723)
  * During uppgrade of iamerican and ibritish, don't ask for default
    dictionary  (#17878, #23713)
  * Minor fixes to the shell scripts. (#23723)

 -- Stefan Bjornelund <stefanb@debian.org>  Sat, 20 Jun 1998 18:32:50 +0200

ispell (3.1.20-0.3) unstable; urgency=low

  * Non-maintainer release.
  * Fixed munchspell, findaffix, subset, tryaffix and zapdups. They started with
    ': Use /bin/sh' rather than '#! /bin/sh' (#15024)
  * Fixed use of /tmp/*$$ in an insecure fashion. Munchlist and subset now
    creates their own subdirectorys in /tmp. (#19795)
  * TMPDIR now defaults to /tmp in {munchspell,findaffix,tryaffix}
    scripts. (#18369,#22755,#23455)
  * Texinfo page and ijoin.c fixed (#23455)
  * Source-depends on wenglish noted in debian/README.built (#22754,#23455)
  * Fixed insecure use of gets in sq.c and unsq.c

 -- Stefan Bjornelund <stefanb@debian.org>  Thu, 18 Jun 1998 13:32:17 +0200

ispell (3.1.20-0.2) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile. (#11693)
  * Remove hardcoded -m486. (#8255,#13819)
  * Change update-ispell-dictionary to use /bin/sh. (#13446)
  * Change iamerican, ibritish packages to architecture any. (#9442,#13821)
  * Fix permissions for /usr/doc/ispell/* (#14173)
  * Check manpage permissions are correct. (#5802)

 -- Martin Mitchell <martin@debian.org>  Wed, 29 Oct 1997 04:02:06 +1100

ispell (3.1.20-0.1) unstable; urgency=low

  * added html version of info manual.
  * build using debmake.
  * new upstream version.

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 17 Feb 1997 00:11:35 +0200

ispell (3.1.18-11) unstable; urgency=low

  * (these two changelog entries were copied from the bo and
    rex debian ispell source package, ispell_3.1.18-11.tar.gz,
    by David Coe on 10 September 2001.)
  * debian-ispell.control : Moved virtual package from RECOMMENDS to
    SUGGESTS control line.
  * languages/english/english.4l: Changed okspell to ispell, changed
    section 4 to section 5

 -- Kenneth MacDonald <K.MacDonald@ed.ac.uk>  Mon, 23 Oct 1995 12:11:28 +0000
